For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet all files
      • POSTUpload a file
      • GETDownload a file
      • DELDelete a file
      • GETGet file details
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMFiles

Get all files

GET
https://api.brevo.com/v3/crm/files
GET
/v3/crm/files
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.files.getAllFiles({});
8}
9main();
1[
2 {
3 "id": "61a5ce58c5d4795761045991",
4 "name": "example.png",
5 "authorId": "61a5ce58c5d4795761045991",
6 "contactId": 1,
7 "dealId": "61a5ce58c5d4795761045991",
8 "companyId": "61a5ce58c5d4795761045991",
9 "size": 10,
10 "createdAt": "2017-05-01T17:05:03.000Z"
11 }
12]
Retrieve a paginated list of CRM files with optional filtering by entity type, entity IDs, and date range. Results are sorted by creation date in descending order by default, with a default limit of 50 files per page.
Was this page helpful?
Previous

Upload a file

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

entityenumOptional
Filter by file entity type
Allowed values:
entityIdsstringOptional
Filter by file entity IDs
dateFromintegerOptional

dateFrom to date range filter type (timestamp in milliseconds)

dateTointegerOptional

dateTo to date range filter type (timestamp in milliseconds)

offsetlongOptional
Index of the first document of the page
limitlongOptionalDefaults to 50
Number of documents per page
sortenumOptional

Sort the results in the ascending/descending order. Default order is descending by creation if sort is not passed

Allowed values:

Response

Returns files list with filters
idstring
Unique file id
namestring
Name of uploaded file
authorIdstring
Account id of user which created the file
contactIdlong
Contact id of contact on which file is uploaded
dealIdstring
Deal id linked to a file
companyIdstring
Company id linked to a file
sizelong
Size of file in bytes
createdAtdatetime

File created date/time

Errors

400
Bad Request Error